# Uses of Interface
org.astrogrid.samp.client.ResponseHandler

Packages that use ResponseHandler
Package
Description
org.astrogrid.samp.client
Classes required only for SAMP clients.

## Uses of ResponseHandler in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client with parameters of type ResponseHandler
Modifier and Type
Method
Description
`void`
HubConnector.`addResponseHandler(ResponseHandler handler)`
Adds a ResponseHandler to this connector, which allows it to receive replies from messages sent asynchronously.
`void`
HubConnector.`removeResponseHandler(ResponseHandler handler)`
Removes a ResponseHandler from this connector.